Get Customer Transactions

Retrieves transaction history of a customer which includes the following information. Transaction type, gross transaction amount, transaction date, points issued, points redeemed, coupons redeemed and so on.

By default, it shows up to 10 results and shows results based on the limit passed.

  • There is no upper limit for number of transactions.
  • There is no duration based limit.
Query Params
string
enum
required

Identifier of the customer to use.

Allowed:
string
required

Value of the specified identifier type. o retrieve transactions of multiple customers at a time, provide each identifier separating by a comma.
Example: mobile=44700900000,44700900999,4470090345

string
enum

Attribute by which you want to filter the transactions.
For oAuth2, you need to pass this in headers. See the Introduction > Authentication section for more details.

Allowed:
string

Code of the specified entity_type. For example, to get transactions of a specific zone (with zone code zone01), pass entity_type=zone&entity_code=zone01.

string

Fetch transaction details by transaction number.

int32

Fetch details of a transaction by transaction ID (internally generated unique ID for a transaction).

string

Filter transactions associated to a specific store ID.

string

Filter transactions made in a specific store. Pass the store code.

int32

Filters transactions with transaction IDs are greater than or equal to a specific value.

int32

Filter transactions with transaction IDs less than or equal to a specific value.

date

Retrieves transactions made on or after a specific date (YYYY-MM-DD). To get transactions of a particular duration, use both start_date and end_date.

date

Retrieves transactions made on or before a specific date (YYYY-MM-DD). To get transactions of a particular duration, use both start_date and end_date. Example: start_date=2013-12-21+23:45:45&end_date=2013-12-29+12:11:45

boolean
Defaults to false

Retrieves the credit notes of the transactions. Credit Notes is a receipt given by a cashier to a customer for returned goods which can be used for future purchases.

boolean
Defaults to false

Pass true to retrieve transaction level custom field details.

boolean
Defaults to false

Pass true to retrieve the breakup of points earned for each transaction.

int32

Limit the number of results to be displayed (default value is 10). For example, limit=20 shows up to 20 transactions of the customer.

int32

Number of records to be ignored from the top. Offset is the position of the entity in the database record. The value is assigned based on the sequence of creation. For example, offset=10 ignores the first 10 transactions of the customer.

string
enum

Whether to sort results by transaction date or transaction ID.

Allowed:
string
enum
Defaults to desc

Arranges the transactions based on the value set in sort. By default, results are shown in the descending order of transaction date/id.

Allowed:
boolean
Defaults to false

Pass true to get transactions from all programs of the org, false to fetch from the default program associated with the till.

Responses

Language
Credentials
Basic
base64
:
URL
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json